Issues need 4.2.0 as Target Milestone

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

Issues need 4.2.0 as Target Milestone

Kay Schenk-2
I'm not sure how this happened but it seems not all issues
can access 4.2.0 as Target Milestone. I would think all
issues could access the same Target Milestone menu.

I hope this can be corrected. Thanks.
--
--------------------------------------------
MzK

"Time spent with cats is never wasted."
                   -- Sigmund Freud

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Issues need 4.2.0 as Target Milestone

Marcus (OOo)
Target milestones depend on the product in BZ. There is no 4.2.0 target
right now (except for "gsl"). Targets have to be created manually for
every product. I'll do this tomorrow as it's already late here.

But now there is a new flag "4.2.0_release_blocker" which can maybe help
in the meantime.

BTW:
You were just a few seconds faster with your mail than me. ;-)

Marcus



Am 03/31/2016 12:59 AM, schrieb Kay Schenk:
> I'm not sure how this happened but it seems not all issues
> can access 4.2.0 as Target Milestone. I would think all
> issues could access the same Target Milestone menu.
>
> I hope this can be corrected. Thanks.

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Issues need 4.2.0 as Target Milestone

Kay Schenk-2
Hi --

Well a few days ago, I changed a bunch of RESOLVED-FIXED to
4.2.0 milestone so I just assumed it was available for all
issues:

https://bz.apache.org/ooo/buglist.cgi?query_format=advanced&resolution=---&target_milestone=4.2.0

So confusing to say the least.

Anyway, thank you.

On 03/30/2016 04:04 PM, Marcus wrote:

> Target milestones depend on the product in BZ. There is no
> 4.2.0 target right now (except for "gsl"). Targets have to
> be created manually for every product. I'll do this tomorrow
> as it's already late here.
>
> But now there is a new flag "4.2.0_release_blocker" which
> can maybe help in the meantime.
>
> BTW:
> You were just a few seconds faster with your mail than me. ;-)
>
> Marcus
>
>
>
> Am 03/31/2016 12:59 AM, schrieb Kay Schenk:
>> I'm not sure how this happened but it seems not all issues
>> can access 4.2.0 as Target Milestone. I would think all
>> issues could access the same Target Milestone menu.
>>
>> I hope this can be corrected. Thanks.
>
> ---------------------------------------------------------------------
>
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>

--
--------------------------------------------
MzK

"Time spent with cats is never wasted."
                   -- Sigmund Freud

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Issues need 4.2.0 as Target Milestone

Marcus (OOo)
Am 03/31/2016 01:54 AM, schrieb Kay Schenk:
> Well a few days ago, I changed a bunch of RESOLVED-FIXED to
> 4.2.0 milestone so I just assumed it was available for all
> issues:
>
> https://bz.apache.org/ooo/buglist.cgi?query_format=advanced&resolution=---&target_milestone=4.2.0
>
> So confusing to say the least.

the targets were a bit messed up. I've cleaned them up and added to all
enabled products a "4.2.0" target.

If something is missing just give me a hint.

Thanks

Marcus



> On 03/30/2016 04:04 PM, Marcus wrote:
>> Target milestones depend on the product in BZ. There is no
>> 4.2.0 target right now (except for "gsl"). Targets have to
>> be created manually for every product. I'll do this tomorrow
>> as it's already late here.
>>
>> But now there is a new flag "4.2.0_release_blocker" which
>> can maybe help in the meantime.
>>
>> BTW:
>> You were just a few seconds faster with your mail than me. ;-)
>>
>> Marcus
>>
>>
>>
>> Am 03/31/2016 12:59 AM, schrieb Kay Schenk:
>>> I'm not sure how this happened but it seems not all issues
>>> can access 4.2.0 as Target Milestone. I would think all
>>> issues could access the same Target Milestone menu.
>>>
>>> I hope this can be corrected. Thanks.

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Issues need 4.2.0 as Target Milestone

Andrea Pescetti-2
In reply to this post by Marcus (OOo)
Marcus wrote:
> Target milestones depend on the product in BZ. There is no 4.2.0 target
> right now (except for "gsl").

I marked (in the past) several issues as target 4.2.0, not only in gsl.
Now I see that in
https://bz.apache.org/ooo/query.cgi
the Target Milestone box contains both "4.2.0" and "AOO 4.2.0". The
latter should not be there, whatever product one chooses.

> But now there is a new flag "4.2.0_release_blocker" which can maybe help
> in the meantime.

Thanks! Of course, for a 4.2.0 release, the meaning is different than in
the past. It will mean "something that is not fixed yet and that it must
fixed by 4.2.0" (and it will make sense to use it when closer to the
RC). Since we have no branch for 4.2.0 yet, and we won't until we are
close to the release, it will not mean "something that is fixed in trunk
and should ported to the release branch" for the moment.

Regards,
   Andrea.

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Issues need 4.2.0 as Target Milestone

Marcus (OOo)
Am 03/31/2016 07:19 PM, schrieb Andrea Pescetti:
> Marcus wrote:
>> Target milestones depend on the product in BZ. There is no 4.2.0 target
>> right now (except for "gsl").
>
> I marked (in the past) several issues as target 4.2.0, not only in gsl.
> Now I see that in
> https://bz.apache.org/ooo/query.cgi
> the Target Milestone box contains both "4.2.0" and "AOO 4.2.0". The
> latter should not be there, whatever product one chooses.

the "AOO ..." targerts are coming from disabled products. Issues cannot
be created within these products. However with a query they are of
course reachable.

It seems I need some more time to fix this also. Then we should be so
consequent and do the same for the version values.

>> But now there is a new flag "4.2.0_release_blocker" which can maybe help
>> in the meantime.
>
> Thanks! Of course, for a 4.2.0 release, the meaning is different than in
> the past. It will mean "something that is not fixed yet and that it must
> fixed by 4.2.0" (and it will make sense to use it when closer to the
> RC). Since we have no branch for 4.2.0 yet, and we won't until we are
> close to the release, it will not mean "something that is fixed in trunk
> and should ported to the release branch" for the moment.

So, you mean it would be better to disable the flag for the time being?

Marcus


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Issues need 4.2.0 as Target Milestone

Marcus (OOo)
Am 03/31/2016 08:26 PM, schrieb Marcus:

> Am 03/31/2016 07:19 PM, schrieb Andrea Pescetti:
>> Marcus wrote:
>>> Target milestones depend on the product in BZ. There is no 4.2.0 target
>>> right now (except for "gsl").
>>
>> I marked (in the past) several issues as target 4.2.0, not only in gsl.
>> Now I see that in
>> https://bz.apache.org/ooo/query.cgi
>> the Target Milestone box contains both "4.2.0" and "AOO 4.2.0". The
>> latter should not be there, whatever product one chooses.
>
> the "AOO ..." targerts are coming from disabled products. Issues cannot
> be created within these products. However with a query they are of
> course reachable.
>
> It seems I need some more time to fix this also. Then we should be so
> consequent and do the same for the version values.

Done: target milestones
Todo: versions

>>> But now there is a new flag "4.2.0_release_blocker" which can maybe help
>>> in the meantime.
>>
>> Thanks! Of course, for a 4.2.0 release, the meaning is different than in
>> the past. It will mean "something that is not fixed yet and that it must
>> fixed by 4.2.0" (and it will make sense to use it when closer to the
>> RC). Since we have no branch for 4.2.0 yet, and we won't until we are
>> close to the release, it will not mean "something that is fixed in trunk
>> and should ported to the release branch" for the moment.
>
> So, you mean it would be better to disable the flag for the time being?
>
> Marcus

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]